Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::MemoryStreamInput::InputMemoryBuffer Class Reference

Class that defines the Input Stream Memory Buffer.

`#include <pic_io.h>`

List of all members.

## Public Member Functions

- InputMemoryBuffer ()
    Constructor.
- ~InputMemoryBuffer ()
    Destructor.
- void SetMembufReference (unsigned char *buffer, int buffer_size)
    Set Input Memory buffer variables.

## Private Member Functions

- InputMemoryBuffer (const InputMemoryBuffer &inbuf)
    Body-less copy constructor.
- InputMemoryBuffer & operator= (const InputMemoryBuffer &inbuf)
    Body-less assignment operator.

## Private Attributes

- unsigned char * m_buffer
    Input memory buffer.
- int m_buffer_size
    Input memory buffer size.

## Constructor & Destructor Documentation

dirac::MemoryStreamInput::InputMemoryBuffer::InputMemoryBuffer | ( |  | ) | `[inline]`

References m_buffer.

dirac::MemoryStreamInput::InputMemoryBuffer::~InputMemoryBuffer | ( |  | ) | `[inline]`

dirac::MemoryStreamInput::InputMemoryBuffer::InputMemoryBuffer | ( | const InputMemoryBuffer & | inbuf | ) | `[private]`

## Member Function Documentation

void dirac::MemoryStreamInput::InputMemoryBuffer::SetMembufReference | ( | unsigned char * | buffer,
|  | int | buffer_size |
| ) |  |  | `[inline]`

Initialises the input memory buffer vars

Parameters:

  | buffer | Input memory buffer
  | buffer_size | Input memory buffer size

References m_buffer, and m_buffer_size.

InputMemoryBuffer& dirac::MemoryStreamInput::InputMemoryBuffer::operator= | ( | const InputMemoryBuffer & | inbuf | ) | `[private]`

## Member Data Documentation

unsigned char* dirac::MemoryStreamInput::InputMemoryBuffer::m_buffer`[private]`

Referenced by InputMemoryBuffer(), and SetMembufReference().

int dirac::MemoryStreamInput::InputMemoryBuffer::m_buffer_size`[private]`

Referenced by SetMembufReference().

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.